Package org.eclipse.emf.cdo.security.ui

# Class ISecurityManagementContext.Default

java.lang.Object
org.eclipse.emf.cdo.security.ui.ISecurityManagementContext.Default

All Implemented Interfaces:
  `ISecurityManagementContext`

Enclosing interface:
  ISecurityManagementContext

public static class ISecurityManagementContext.Default extends Object implements ISecurityManagementContext
A default implementation of a `security management context`.

Author:
  Christian W. Damus (CEA LIST)

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.security.ui.ISecurityManagementContext

`ISecurityManagementContext.Default`

## Field Summary

### Fields inherited from interface org.eclipse.emf.cdo.security.ui.ISecurityManagementContext

`DEFAULT`

## Constructor Summary

Constructors
Constructor
Description
`Default()`

## Method Summary

Modifier and Type
Method
Description
`CDOView`
`connect(CDOSession session)`
Obtains a view in which to open the security resource for editing.
`void`
`disconnect(CDOView view)`
Releases a `view` previously obtained from this context.
`CDOResource`
`getSecurityResource(CDOView view)`
Obtains the resource containing the security model for presentation in the Security Management editor.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Default

public Default()

## Method Details

### connect

public CDOView connect(CDOSession session)
Description copied from interface: `ISecurityManagementContext`
Obtains a view in which to open the security resource for editing. If at all possible, this should be a writable transaction. If necessary, implementors are welcome to open a new session logged in as the Administrator for this purpose.

Specified by:
  `connect` in interface `ISecurityManagementContext`
See Also:
  - `ISecurityManagementContext.getSecurityResource(CDOView)`
  - `ISecurityManagementContext.disconnect(CDOView)`

### disconnect

public void disconnect(CDOView view)
Description copied from interface: `ISecurityManagementContext`
Releases a `view` previously obtained from this context. The caller must not attempt to use the `view` after this point because in all likelihood it will be closed.

Specified by:
  `disconnect` in interface `ISecurityManagementContext`
See Also:
  - `ISecurityManagementContext.connect(CDOSession)`

### getSecurityResource

public CDOResource getSecurityResource(CDOView view)
Description copied from interface: `ISecurityManagementContext`
Obtains the resource containing the security model for presentation in the Security Management editor.

Specified by:
  `getSecurityResource` in interface `ISecurityManagementContext`